[package]
name = "lanspread-peer-cli"
version = "0.1.0"
edition = "2024"

[lints.rust]
unsafe_code = "forbid"

[lints.clippy]
pedantic = { level = "warn", priority = -1 }
todo = "warn"
unwrap_used = "warn"
needless_pass_by_value = "allow"

[dependencies]
lanspread-compat = { path = "../lanspread-compat" }
lanspread-db = { path = "../lanspread-db" }
lanspread-peer = { path = "../lanspread-peer" }

eyre = { workspace = true }
serde = { workspace = true }
serde_json = { workspace = true }
tokio = { workspace = true }

[lib]
doctest = false

[[bin]]
name = "lanspread-peer-cli"
path = "src/main.rs"
